/*************************************************************************
 *                                                                       *
 *  KDu - KDisk Free V0.9.5                                              *
 *                                                                       *
 * Copyright(c) 1998-99 Christian Poulter.                               *
 *                                                                       *
 * This program is free software; you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by  *
 * the Free Software Foundation - version 2.                             *
 *                                                                       *
 * This program is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 * GNU General Public License in file COPYING for more details.          *
 *                                                                       *
 * You should have received a copy of the GNU General Public License     *
 * along with this program; if not, write to the Free Software           *
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             *
 *                                                                       *
 *  On the Net at http://www.wilhelmshaven-online.de/benutzer/cpoulter   *
 *  Email to virtual-dynamics@gmx.net                                    *
 *                                                                       *
 *************************************************************************/

#ifndef KDFREE_H
#define KDFREE_H

#include "kdconfigwidget.h"
#include "page.h"
#include "summary.h"

#include <qtabdialog.h>

class KDFree:public QTabDialog{
	Q_OBJECT
public:
	KDFree(QWidget *parent=0, const char *name=0, bool init=FALSE, KDConfig *config=0);
	~KDFree();
	void		resizeEvent(QResizeEvent *);

private:
	Summary		*summary;
	KDConfig	*config;
	QTimer		*timer;
	QList<Page>	pagelist;
	QPushButton	*buttonConfig;
	KDConfigWidget	*configWidget;

private slots:
	void 		slot_close();
	void 		slot_help();
	void		slot_updateDialog();
	void		slot_supdate(diskData *dd);
	void		slot_summarySelected(int num);
	void		slot_config();
	void		slot_newCfg();
};

#endif KDFREE_H

