/*************************************************************************
 *                                                                       *
 *  KDisk Utils - KSlot V0.9.5                                           *
 *                                                                       *
 * Copyright(c) 1998 Christian Poulter.                                  *
 *                                                                       *
 * This program is free software; you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by  *
 * the Free Software Foundation - version 2.                             *
 *                                                                       *
 * This program is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 * GNU General Public License in file COPYING for more details.          *
 *                                                                       *
 * You should have received a copy of the GNU General Public License     *
 * along with this program; if not, write to the Free Software           *
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             *
 *                                                                       *
 *  On the Net at http://www.wilhelmshaven-online.de/benutzer/cpoulter   *
 *  Email to virtual-dynamics@gmx.net                                    *
 *                                                                       *
 *************************************************************************/

#ifndef CONFIGDLG_H
#define CONFIGDLG_H

#include <qdialog.h>
#include <qlabel.h>
#include <qlined.h>
#include <qpushbt.h>

class KSlotConfigDLG:public QDialog{
	Q_OBJECT
public:
	KSlotConfigDLG(QWidget *parent=0, const char *name=0, bool init=FALSE);
	~KSlotConfigDLG();
	void setDevice(QString d);

private:
	QPushButton	*ok;
	QPushButton	*cancel;
	QLabel		*info;
	QLineEdit	*eingabe;

private slots:
	void slot_okClicked();
	void slot_cancelClicked();
	void resizeEvent(QResizeEvent *);

signals:
	void deviceSet(QString);
};

#endif CONFIGDLG_H


